#include <bits/stdc++.h>

using namespace std;
#define int long long
#define maxn 200005
vector<pair<int,int> > v1,v2;
signed main()
{
    ios::sync_with_stdio(0);
    cin.tie(0);
    int n,m,a;
    cin>>n>>m;
    for(int i=0;i<n;i++)
        for(int j=0;j<m;j++)
            cin>>a;
    cout<<"0";
    return 0;
}